<!--- If the cart is empty, then display a message and link to return to the catalog--->
<cfoutput>
<cfif NOT isdefined('session.CrtProductID')>
<p align="center"><b><font color="##FF0000">Your shopping Cart is empty</font></b>
<p>
<center><a href="#CartVar.CatalogURL#"><font size="2" face="Verdana">Back to Catalog</font></a></center>
<cfabort>
</cfif>
</cfoutput>

<!---Check for optional URL variables for shipping and taxes.  If they exist, include the action files--->
<cfif isdefined('url.FigureShipping')>
	<!---NOT INCLUDED IN THIS DEMO VERSION--->
</cfif>

<cfif isdefined('url.FigureShipping')>
	<cfinclude template = "../actions/actFigureTaxes.cfm">
</cfif>

<cflock scope="Session" type="EXCLUSIVE" timeout="10">
<cfoutput>
<cfset cart.CrtProductID = '#session.CrtProductID#'>
<cfset cart.CrtProductName = '#session.CrtProductName#'>
<cfset cart.CrtQuantity = '#session.CrtQuantity#'>
<cfset cart.CrtPrice = '#session.CrtPrice#'>
<cfset Cart.CrtThumbNails = '#session.CrtThumbNails#'>
<cfset Cart.CrtItemID = '#session.CrtItemID#'>
</cfoutput>
</cflock>

<cfif isdefined('Cart.CrtProductID')>

<cfoutput>
<cfif #ListLen(Cart.CrtProductID, "^")# IS 0>
<p align="center">&nbsp;
</p>
      <div align="center"><b><font color="##FF0000">Your shopping Cart is empty</font></b> 
      </div>
      <center>
    <a href="#CartVar.CatalogURL#">Back 
    to Catalog</a> 
  </center>
 <cfabort>
</cfif>
</cfoutput> 

  <cfif NOT #ListLen(Cart.CrtProductID, "^")# IS 0>

		<cfset CrtTotal = 0> <!---The actual total price of items in the cart--->
		<cfset TotalItemsInCart = 0> <!---Number of items in the cart--->
		<cfset TotalShippingCosts = 0>
	    <blockquote> 
	      <p><b>Your cart contains the following <cfoutput>#ListLen(Cart.CrtProductID, 
	        "^")#</cfoutput> Item(s):</b></p>
	      </blockquote>
 	    <div align="center"> 
	      <center>

        <table width="90%" border="1" cellspacing="0" cellpadding="3" style="border-collapse: collapse" bordercolor="#111111">         
          <tr class="TableTitles"> 
            <td width="50%" height="19" style="border-color:#000000; border-width:1; " > 
              <b>Name</b></td>
            <td width="25%" height="19" style="border-color:#000000; border-width:1; " ><p align="center"> 
                <b>Quantity</b></p></td>
            <td width="25%" height="19" align="center" style="border-color:#000000; border-width:1; " > 
              <b>Price</b></td>
          </tr>
       <cfloop index="IndexCount" from="1" To="#ListLen(Cart.CrtProductID, "^")#">

        <cfset ThisItemID = "#ListGetAt(Cart.CrtItemID, indexcount, "^")#">
        <cfset ThisProductID = '#ListGetAt(Cart.CrtProductID, IndexCount, "^")#'>
        <cfset ThisQuantity = '#ListGetAt(Cart.CrtQuantity, IndexCount, "^")#'>
		<cfset NumberOfThisItem = #ListGetAt(Cart.CrtQuantity, IndexCount, " ^")#>

            <cfquery name = "FindProduct" datasource = "#request.dsn#">
            SELECT * FROM Products WHERE ItemID = #ThisItemID#
            </cfquery>
			
		<cfoutput>
              <tr> 
                <td width="50%" style="border-color:##000000; border-width:1; " valign="middle">#ListGetAt(Cart.CrtProductName, IndexCount, "^")#</td>
                <td width="25%" style="border-color:##000000; border-width:1; " valign="middle"> 
                  <p align="center"> #ListGetAt(Cart.CrtQuantity, IndexCount, " ^")#
                  </p></td>
                <td width="25%" align="right" style="border-color:##000000; border-width:1; "> 
                  <cfset TotalOfItems = #ListGetAt(Cart.CrtPrice, IndexCount, "^")#> 
					<cfif CartVar.UseEuro IS 'Yes'>
                    <div align="right">#lseurocurrencyformat(TotalOfItems, "Local")# 
                      <cfelse>
                      #lscurrencyformat(TotalOfItems, "Local")#</div>
                  </cfif></td>
                <cfset CrtTotal = #CrtTotal# + #TotalOfItems#>                              
				  <!---Add in the shiping for each item--->               
				  	<cfset TotalShippingCosts = TotalShippingCosts + (#FindProduct.ShippingCosts# * #ListGetAt(Cart.CrtQuantity, IndexCount, " ^")#)>
					<cfset Cart.TotalShippingCosts = TotalShippingCosts>
              </tr>
			</cfoutput>
		</cfloop>
          <tr> 
            <td width="88%" height="15" style="border-left-style:none; border-right-style:none; border-top-color:#000000; border-top-width:1; border-bottom-style:none" colspan="2"> 
              <p align="right">Cart total: </td>
            <td width="20%" height="15" align="right" style="border-color:#000000; border-width:1; "><cfoutput>
                <cfif CartVar.UseEuro IS 'Yes'>
                  #lseurocurrencyformat(CrtTotal, "Local")#
				<cfelse>
                  #lscurrencyformat(CrtTotal, "Local")#
                </cfif>
               </cfoutput></td>
            <cfset Cart.OrderTotal = #CrtTotal#>
            <cfset Cart.TotalItemsInCart = #TotalItemsInCart#>
          </tr>
          <tr> 
            <td height="15" colspan="2" style="border-style: none"><div align="right">Taxes:</div></td>
            <td height="15" align="right" style="border-color:#000000; border-width:1; ">
			<cfif ISDEFINED('Cart.FiguredTax')>
				<cfoutput><cfif CartVar.UseEuro IS 'Yes'>
                    #LSEuroCurrencyformat(Cart.FiguredTax, "Local")# 
                    <cfelse>
                    #LSCurrencyformat(Cart.FiguredTax, "Local")# 
                  </cfif></cfoutput>
			</cfif>
			<cfif NOT ISDEFINED('Cart.FiguredTax')><strong>Not Calculated Yet</strong>
				<cfset Cart.FiguredTax = 0></cfif>
			</td>
          </tr>
          <tr> 
            <td width="88%" height="15" colspan="2" style="border-style: none"> 
              <p align="right">Shipping &amp; Handling:</td>
            <td width="20%" height="15" align="right" style="border-color:#000000; border-width:1; ">
			<cfif ISDEFINED('Cart.TotalShippingCosts')>
				<cfoutput><cfif CartVar.UseEuro IS 'Yes'>#LSEuroCurrencyformat(Cart.totalshippingcosts, "Local")#
				<cfelse>#LSCurrencyformat(Cart.totalshippingcosts, "Local")#</cfif></cfoutput>
			</cfif>
			<cfif NOT ISDEFINED('Cart.TotalShippingCosts')><strong>Not Calculated Yet</strong>
				<cfset Cart.TotalShippingCosts = 0></cfif>
			</td>
          </tr>
          <tr> 
            <td width="88%" height="15" colspan="2" style="border-style: none"> 
              <p align="right"><b>Total:</b></p></td>
			  <cfset Cart.OrderTotal = Cart.OrderTotal + Cart.FiguredTax + Cart.TotalShippingCosts >
            <td width="20%" height="15" align="right" style="border-color:#000000; border-width:1; ">
			<cfoutput><b> 
                <cfif CartVar.UseEuro IS 'Yes'>
                  #lseurocurrencyformat(Cart.OrderTotal, "Local")# 
                  <cfelse>
                  #lscurrencyformat(Cart.OrderTotal, "Local")# 
                </cfif>
                </b></cfoutput></td>
          </tr>
        </table>
	</center>
    </div>
</cfif>
</cfif>
